# Hi, I'm Darnell! 
**Cybersecurity Professional | Instructor | IAM Specialist**  
*Founder of [NAXS Labs](https://naxslabs.com)*

## 🔒 Cybersecurity Projects:

### Identity & Access Management (IAM)
- [AD Sync with Okta Configuration](https://git.naxslabs.com/darnellkeith/ad-okta-sync)
- [Conditional Access Policy Implementation](https://git.naxslabs.com/darnellkeith/conditional-access-policies) *(Coming Soon)*
- [Multi-Factor Authentication Setup](https://git.naxslabs.com/darnellkeith/mfa-setup)
- [RBAC Implementation](https://git.naxslabs.com/darnellkeith/rbac-implementation)

### Network Administration & Security
- [Suricata IDS/IPS Implementation](https://git.naxslabs.com/darnellkeith/suricata-ids-ips)
- [VPN & IPSec Configuration (EVE-NG Lab)](https://git.naxslabs.com/darnellkeith/eve-ng-ipsec-lab)
- [Network Hardening Scripts](https://git.naxslabs.com/darnellkeith/network-hardening)
- [Firewall Configuration Management](https://git.naxslabs.com/darnellkeith/firewall-config)

### Data Security
- [Data Encryption Implementations](https://git.naxslabs.com/darnellkeith/data-encryption)
- [Data Loss Prevention (DLP) Solutions](https://git.naxslabs.com/darnellkeith/dlp-solutions)
- [Database Hardening Guides](https://git.naxslabs.com/darnellkeith/database-hardening)
- [Access Control Management](https://git.naxslabs.com/darnellkeith/access-control)

### Security Testing
- [Penetration Testing Lab Environment](https://git.naxslabs.com/darnellkeith/pentest-lab)
- [Custom Testing Scripts](https://git.naxslabs.com/darnellkeith/security-testing-scripts)
- [Security Assessment Tools](https://git.naxslabs.com/darnellkeith/security-assessment-tools)
- [Automated Vulnerability Scanners](https://git.naxslabs.com/darnellkeith/vuln-scanners)

### Automation & Scripting
- **Python**
  - [Security Automation Scripts](https://git.naxslabs.com/darnellkeith/python-security-scripts)
  - [Log Analysis Tools](https://git.naxslabs.com/darnellkeith/python-log-analysis)
- **PowerShell**
  - [Windows Security Hardening Scripts](https://git.naxslabs.com/darnellkeith/powershell-security-hardening)
  - [AD Management Utilities](https://git.naxslabs.com/darnellkeith/powershell-ad-utils)
- **Bash**
  - [Linux Security Scripts](https://git.naxslabs.com/darnellkeith/bash-security-scripts)
  - [Network Monitoring Tools](https://git.naxslabs.com/darnellkeith/bash-network-monitoring)

### Learning & Development
- **Assembly & Low-Level Programming**
  - [Malware Analysis Practice](https://git.naxslabs.com/darnellkeith/assembly-malware-analysis) *(In Progress)*
- **C++ Security Applications**
  - [Buffer Overflow Examples](https://git.naxslabs.com/darnellkeith/cpp-buffer-overflow-examples) *(In Progress)*

## 🎓 Certifications:
**Current:**
- CompTIA Security+, Network+, A+, CySA+, PenTest+, Project+
- (ISC)² SSCP
- SANS GCIH, GSEC, GFACT
- Linux LPI, ITIL v4

**In Progress:**
- CCSP (Cloud Security)
- Okta Professional & Administrator

## 📚 Teaching & Content:
- [Cybersecurity Course Materials](https://git.naxslabs.com/darnellkeith/cybersecurity-course-materials)
- [Lab Exercises & Walkthroughs](https://git.naxslabs.com/darnellkeith/lab-exercises)
- [Security Concepts Explained](https://git.naxslabs.com/darnellkeith/security-concepts)

## 🔧 Current Focus:
- Identity & Access Management (IAM)
- Cloud Security Architecture
- Security Automation & Orchestration
- Advanced Threat Detection

## 🤝 Connect with me:
[Website](https://naxslabs.com) | [LinkedIn](https://linkedin.com/in/darnellkeith) | [Email](mailto:darnell@naxslabs.com)

---
*"Security is not a product, but a process." - Bruce Schneier*

